org.apache.poi.hssf.model

## Class RowBlocksReader

- java.lang.Object
- - org.apache.poi.hssf.model.RowBlocksReader

-     public final class RowBlocksReader
      extends java.lang.Object

  Segregates the 'Row Blocks' section of a single sheet into plain row/cell records and shared formula records.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowBlocksReader(RecordStream rs)` Also collects any loose MergeCellRecords and puts them in the supplied mergedCellsTable

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MergeCellsRecord[]` | `getLooseMergedCells()` Some unconventional apps place `MergeCellsRecord`s within the row block.
    `RecordStream` | `getPlainRecordStream()`
    `SharedValueManager` | `getSharedFormulaManager()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RowBlocksReader

          public RowBlocksReader(RecordStream rs)

      Also collects any loose MergeCellRecords and puts them in the supplied mergedCellsTable
      Parameters:
        `rs` - the record stream

  - ### Method Detail

    - #### getLooseMergedCells

          public MergeCellsRecord[] getLooseMergedCells()

      Some unconventional apps place `MergeCellsRecord`s within the row block. They actually should be in the `MergedCellsTable` which is much later (see bug 45699).
      Returns:
        any loose `MergeCellsRecord`s found

    - #### getSharedFormulaManager

          public SharedValueManager getSharedFormulaManager()

    - #### getPlainRecordStream

          public RecordStream getPlainRecordStream()

      Returns:
        a `RecordStream` containing all the non-`SharedFormulaRecord` non-`ArrayRecord` and non-`TableRecord` Records.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.